Name:          hpack
Version:       1.0.2
Release:       1%{?dist}
Summary:       Header Compression for HTTP/2
License:       ASL 2.0
URL:           https://github.com/twitter/hpack
Source0:       https://github.com/twitter/hpack/archive/%{name}-parent-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.google.code.gson:gson)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.mockito:mockito-core)

BuildArch:     noarch

%description
This library provides support for compression of header lists
into header blocks.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package parent
Summary:       HPACK Parent POM

%description parent
HPACK Parent POM.

%prep
%setup -q -n %{name}-%{name}-parent-%{version}
# Cleanup
find -name "*.class" -print -delete
find -name "*.jar" -print -delete

%pom_remove_plugin -r :cobertura-maven-plugin
%pom_remove_plugin -r :coveralls-maven-plugin

%pom_disable_module "microbench"

%mvn_file :%{name} %{name}

%build

%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%files parent -f .mfiles-%{name}-parent
%license LICENSE

%changelog
* Fri Jul 22 2016 gil cattaneo <puntogil@libero.it> 1.0.2-1
- initial rpm

